Page MenuHomePhabricator

Implement module wrapping for Sentry
Closed, ResolvedPublic

Description

Add module wrapping code to Sentry per T513.

Currently ResourceLoader outputs something like

mw.loader.implement("modulename",function($,jQuery){<minified source code>});

This should be replaced with

mw.loader.implement("modulename",Raven.wrap(function($,jQuery){<minified source code>}));

(or the equivalent done inside mw.loader.implement) and Raven should be loaded early enough for this to work.

This might require adding a new hook or two to ResourceLoader.

Related Objects

Event Timeline

Tgr created this task.Dec 17 2014, 5:24 PM
Tgr claimed this task.
Tgr raised the priority of this task from to Normal.
Tgr updated the task description. (Show Details)
Tgr added a project: Multimedia.
Tgr changed Security from none to None.
Tgr added subscribers: Tgr, He7d3r, Gilles and 6 others.
Gilles moved this task from Untriaged to Next up on the Multimedia board.Dec 17 2014, 5:55 PM
Tgr updated the task description. (Show Details)Dec 24 2014, 12:02 AM
Tgr moved this task from Next up to Batch Move 2019-03-06 on the Multimedia board.Dec 25 2014, 6:22 AM
Tgr moved this task from Ready for testing to Next up on the Multimedia board.
gerritbot added a subscriber: gerritbot.

Change 188330 had a related patch set uploaded (by Gergő Tisza):
Update Sentry to use mw.track

https://gerrit.wikimedia.org/r/188330

Patch-For-Review

Tgr moved this task from Next up to Needs code review on the Multimedia board.Feb 3 2015, 8:28 AM

Change 188330 merged by jenkins-bot:
Update Sentry to use mw.track

https://gerrit.wikimedia.org/r/188330

Gilles moved this task from Ready for testing to Doing on the Multimedia board.Feb 11 2015, 12:52 PM
Gilles closed this task as Resolved.Feb 11 2015, 1:27 PM
Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Oct 23 2015, 4:59 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 23 2015, 4:59 PM